Update public profile of Businesses
curl --request POST \
--url https://api.birdeye.com/resources/v1/business/tabs \
--header 'Content-Type: application/json' \
--data '
{
"profileTabs": [
{
"tabType": "map",
"label": "map location",
"showOnProfile": 0,
"showOnWebsite": 1,
"showOnFacebook": 1,
"url": "http://www.mapurl.com"
},
{
"tabType": "Feedback",
"label": "Feedback",
"showOnProfile": 0,
"showOnWebsite": 1,
"showOnFacebook": 1,
"url": "http://www.feedback.com"
}
]
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/tabs"
payload = { "profileTabs": [
{
"tabType": "map",
"label": "map location",
"showOnProfile": 0,
"showOnWebsite": 1,
"showOnFacebook": 1,
"url": "http://www.mapurl.com"
},
{
"tabType": "Feedback",
"label": "Feedback",
"showOnProfile": 0,
"showOnWebsite": 1,
"showOnFacebook": 1,
"url": "http://www.feedback.com"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
profileTabs: [
{
tabType: 'map',
label: 'map location',
showOnProfile: 0,
showOnWebsite: 1,
showOnFacebook: 1,
url: 'http://www.mapurl.com'
},
{
tabType: 'Feedback',
label: 'Feedback',
showOnProfile: 0,
showOnWebsite: 1,
showOnFacebook: 1,
url: 'http://www.feedback.com'
}
]
})
};
fetch('https://api.birdeye.com/resources/v1/business/tabs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 1191,
"message": "Invalid status."
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1184,
"message": "Status change is not allowed"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Business
Public profile tabs
Public profile tabs API saves information on business profile tabs.
POST
/
v1
/
business
/
tabs
Update public profile of Businesses
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Query Parameters
Id of the Business.
Body
application/json
Show child attributes
Show child attributes
Response
OK
⌘I